Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2014-6259

CVE information

Published

7 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

Zenoss Core through 5 Beta 3 does not properly detect recursion during entity expansion, which allows remote attackers to cause a denial of service (memory and CPU consumption) via a crafted XML document containing a large number of nested entity references, aka ZEN-15414, a similar issue to CVE-2003-1564..

CVSSv2.0 Score

Severity
Medium
Base Score
5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
2.9/10
Confidentiality Impact
None
Availability Impact
Partial
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:zenoss:zenoss_core:3.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:2.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:2.5.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:*:beta_3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:5.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:4.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:2.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:4.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:5.0.0:beta_1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:4.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:4.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:2.5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:2.5.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:5.0.0:beta_2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:zenoss:zenoss_core:3.0.0:*:*:*:*:*:*:*
  Yes
- -